Issue #5621 has been updated by Hiroshi Nakamura.


I don't think it should be backported at this moment.

 * No one confirm that 2.0.0 fixes their issue which is existing in 1.9.3. At least no confirmation from the original reporter. (I guess he could be confusing Ruby's "autoload" with Rails' "nested autoload" which is not "autoload")
 * The original change is made before 1.9.3 but we (I) delayed this to 2.0.0.  We need extra reason to backport this to 1.9 line.

That's said, JRuby 1.6.6 is shipped with thread-safe autoload already, and I didn't receive any problem for now. If it really helps the concrete problem, I think I can create the patch so that release manager investigate it.
----------------------------------------
Backport #5621: Please backport thread-safe autoloading patch
https://bugs.ruby-lang.org/issues/5621

Author: Mike Perham
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 


This is critical to using Rails in thread-safe mode.  JRuby is supposed to have it in the next release, 1.7.

http://redmine.ruby-lang.org/issues/921

Waiting another 12-18 months for 1.9.4 to come out would really suck.


-- 
http://bugs.ruby-lang.org/